Skip to main content
GET
Get webhook endpoint

Path Parameters

endpoint_uuid
string<uuid>
required

Webhook endpoint UUID.

Response

Successful Response

Endpoint representation — never contains secret_ciphertext or the plaintext secret.

consecutive_failures
integer
required

Current consecutive delivery failure count.

created_at
string<date-time>
required

Endpoint creation timestamp.

disabled_at
string<date-time> | null
required

Timestamp when the endpoint was disabled.

last_failure_at
string<date-time> | null
required

Last failed delivery timestamp.

last_success_at
string<date-time> | null
required

Last successful delivery timestamp.

name
string
required

Human-readable webhook endpoint name.

status
string
required

Endpoint lifecycle status.

subscribed_events
string[]
required

Subscribed webhook event types.

updated_at
string<date-time>
required

Endpoint last update timestamp.

url
string
required

Destination URL.

uuid
string<uuid>
required

Webhook endpoint UUID.